# Akamai\Open\EdgeGrid\Handler\Debug::__invoke

#### Handle the request/response

## Signature

`public function __invoke(callable $handler )`

## Parameters

`$handler` — Akamai\Open\EdgeGrid\Handler\callable

## Returns

Closure

## Test Coverage

### Information

- Coverage: 31/31 Lines (100%)
- Tests: 13
- Passed: 13 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testStaticDebugSingle
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testInstanceDebugSingle
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testInstanceDebugOptionSingle
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testInstanceDebug
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testStaticDebug
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testInstanceOverrideStream
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testDebugMessages
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testResponseNoDetail
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testResponseNoBody
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testResponseNoJsonBody
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testDebugResponseExceptionNoCode
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testVerboseResponseExceptionWithCode
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testVerboseResponseExceptionWithBody